#ifndef HUMANUS_PROMPT_H
#define HUMANUS_PROMPT_H

namespace humanus {

namespace prompt {

namespace manus {
extern const char* SYSTEM_PROMPT;
extern const char* NEXT_STEP_PROMPT;
} // namespace manus

namespace planning {
extern const char* PLANNING_SYSTEM_PROMPT;
extern const char* NEXT_STEP_PROMPT;
} // namespace planning

namespace swe {
extern const char* SYSTEM_PROMPT;
extern const char* NEXT_STEP_TEMPLATE;
} // namespace swe

namespace toolcall {
extern const char* SYSTEM_PROMPT;
extern const char* NEXT_STEP_PROMPT;
} // namespace toolcall

} // namespace prompt

// 使用内联函数来获取常量
inline const char* get_tool_call_required() { return "required"; }
inline const char* get_terminate_description() { return "Terminate the current interaction"; }
inline const char* get_planning_tool_description() { return "Create a plan for the given task"; }

#define TOOL_CALL_REQUIRED get_tool_call_required()
#define _TERMINATE_DESCRIPTION get_terminate_description()
#define _PLANNING_TOOL_DESCRIPTION get_planning_tool_description()

} // namespace humanus

#endif // HUMANUS_PROMPT_H
